@charset "utf-8";

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    color: #000;
    font-family: "Arial", sans-serif;
    font-size: 1rem;
    line-height: 1.5;
}

img {
    max-width: 100%;
    height: auto;
    display: block;
}

#wrapper {
    position: relative;
    max-width: 50rem;
    margin: 1rem auto;
    overflow: hidden;
    background: #fff;
    border: solid 1px #000;
}

:is(a:link, a:visited, a:active) {
    color: inherit;
    text-decoration: none;
    white-space: nowrap;
}

a:hover {
    text-decoration: underline;
}

article p:not(:last-child) {
    padding-bottom: 1rem;
}

h1 {
    font-size: 2rem;
    line-height: 1.2;
    color: #dce564;
    position: absolute;
    bottom: 2rem;
    left: 3rem;
}

h2 {
    font-size: 2.25rem;
    line-height: 1.2;
    padding-bottom: 1rem;
    background: linear-gradient(90deg, #002c73, #9f90f4 66%, #53b7be 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    width: fit-content;
}

ul {
    padding: 0 0 0 1rem;
}

ul li {
    padding: .25rem 0;
}

.benefits {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
    padding-bottom: 4rem;
}

.benefit {
    background: #fff;
    border-radius: 0.5rem;
    padding: .625rem;
    box-shadow: 0 2px 3px rgba(0, 0, 0, 0.3);
    display: flex;
    align-items: center;
    gap: .625rem;
}
.purple{
    color: #AC95D8;
}

.benefit p {
    font-size: .8rem;
    line-height: 1.3;
}

.flex {
    display: flex;
    gap: .75rem;
    padding-bottom: 4rem;
}

.box {
    flex: 40%;
    background-color: #aa95c5;
    color: #fff;
    box-shadow: 0 3px 7px rgba(0, 0, 0, 0.5);
    padding: 1.5rem;
    border-radius: 0.5rem;
    font-weight: 700;
}

header {
    position: relative;
}

article {
    padding: 3rem;
}
.flex{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    box-shadow: 0 .125rem .25rem #00000040;
    padding: 1rem;
    margin: 0 0 1rem;
}
.flex span:first-of-type{
    font-weight: 700;
}
.flex span:last-of-type{
    width: 68%;
}
footer {
    padding: 3rem;
    background-color: #dce564;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
    font-size: .8rem;
    font-weight: 700;
    text-align: center;
}

@media only screen and (max-width: 49.938rem) {

    #wrapper {
        border: none;
        margin: 0 auto;
    }

    p,
    ul {
        -moz-hyphens: auto;
        -webkit-hyphens: auto;
        -ms-hyphens: auto;
        hyphens: auto;
    }
}

@media only screen and (max-width: 48rem) {

    article,
    footer {
        padding: 2rem;
    }

    h1 {
        left: 2rem;
    }
    .flex span:last-of-type{
        width: 100%;
    }
    .flex br{
        display: none;
    }
}

@media only screen and (max-width: 40rem) {

    article,
    footer {
        padding: 1.5rem 1rem;
    }

    h1 {
        position: static;
        text-align: center;
        padding: 1.5rem 1rem 0;
    }

    h2 {
        font-size: 1.5rem;
    }

    .benefits,
    .flex {
        padding-bottom: 2rem;
    }
}

@media only screen and (max-width: 35rem) {
    .benefits {
        grid-template-columns: repeat(1, 1fr);
    }

    .flex {
        flex-direction: column;
    }
}